#ifndef waveforms_h
#define waveforms_h

#include <inttypes.h>
#if defined(ARDUINO) && ARDUINO >= 100
  #include "Arduino.h"
#else
  #include "WProgram.h"
  #include <pins_arduino.h>
#endif

#define N_WAVEFORMS 15
#define N_WAVEFORM_SAMPLES 600


extern prog_int16_t *waveformBuffers[];

extern prog_int16_t R_asym_saw_01[];
extern prog_int16_t R_asym_saw_02[];
extern prog_int16_t R_asym_saw_03[];
extern prog_int16_t R_asym_saw_04[];
extern prog_int16_t R_asym_saw_05[];
extern prog_int16_t R_asym_saw_06[];
extern prog_int16_t R_asym_saw_07[];
extern prog_int16_t R_asym_saw_08[];
extern prog_int16_t R_asym_saw_09[];
extern prog_int16_t R_asym_saw_10[];
extern prog_int16_t R_asym_saw_11[];
extern prog_int16_t R_asym_saw_12[];
extern prog_int16_t saw_0016[];
extern prog_int16_t saw_0017[];
extern prog_int16_t raw_0019[];


#endif
